# w.c.s. - web application for online forms
# Copyright (C) 2005-2010  Entr'ouvert
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301  USA

import time
import sys
import os

from qommon.ctl import Command, make_option

def rebuild_vhost_indexes():
    from wcs.formdef import FormDef
    FormDef.rebuild_indexes()


class CmdRebuildIndexes(Command):
    name = 'rebuild_indexes'

    def execute(self, options, args):
        import publisher

        pub = publisher.WcsPublisher.create_publisher()

        app_dir = pub.app_dir
        hostnames = os.listdir(app_dir)
        for hostname in hostnames:
            pub.app_dir = os.path.join(app_dir, hostname)
            rebuild_vhost_indexes()

CmdRebuildIndexes.register()
